# class Gem::Source::Vendor

This represents a vendored source that is similar to an installed gem.

### Public Class Methods

new (path)
Source

    # File lib/rubygems/source/vendor.rb, line 10
    def initialize(path)
      @uri = path
    end

Creates a new `Vendor` source for a gem that was unpacked at `path`.

### Public Instance Methods

<=> (other)
Source

    # File lib/rubygems/source/vendor.rb, line 14
    def <=>(other)
      case other
      when Gem::Source::Lock then
        -1
      when Gem::Source::Vendor then
        0
      when Gem::Source then
        1
      end
    end